Bug 140222 - Split button popup windows are docked incorrectly using ctrl+shift+F10
Summary: Split button popup windows are docked incorrectly using ctrl+shift+F10
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords:
Depends on:
Blocks: Split-Group-Buttons
  Show dependency treegraph
 
Reported: 2021-02-06 21:44 UTC by Jim Raykowski
Modified: 2022-03-14 05:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2021-02-06 21:44:18 UTC
Most split button control popup windows should not able to be docked using ctrl+shift+F10. Basic shapes is the one exception I could find that would work properly. It doesn't allow docking until after torn away from the split control.

To repro using Writer:

1) Click on the drop down split of any color control, table control, special characters control, or one of other split button controls that can be placed in a toolbar (does not happen for all).
2) Ctrl+Shift+F10

Result: popup window is docked in the tool bar

Expected results: shortcut is ignored

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: a0c689e1ad98bf3c47d189b8cc99c9f4bcc41a12
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

On confirmation I will submit a patch to logerrit for consideration to make this not happen.
Comment 1 Buovjaga 2022-02-07 13:00:49 UTC
I tried it with the Font color dropdown and after Ctrl+Shift+F10 the "Automatic" part appeared on top of the style dropdown and it behaved in a glitchy way. This stopped after I clocked the Font color dropdown again.

I can test your patch after you write it.

Arch Linux 64-bit
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 32c946c064cc2889bda2f46c1862e5100f0a257a
CPU threads: 8; OS: Linux 5.16; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded Jumbo
Built on 7 February 2022
Comment 2 Jim Raykowski 2022-02-08 04:40:05 UTC
Thanks for reminding me about this! I've had the patch ready for a year.
https://gerrit.libreoffice.org/c/core/+/129650
Comment 3 Buovjaga 2022-02-08 13:21:58 UTC
(In reply to Jim Raykowski from comment #2)
> Thanks for reminding me about this! I've had the patch ready for a year.
> https://gerrit.libreoffice.org/c/core/+/129650

I confirm that with the patch, nothing happens with Ctrl+Shift+F10 in the popup
Comment 4 Commit Notification 2022-03-07 01:47:19 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/99ac14c8ccf89a51de1b3fb9d14789406f2dc95f

tdf#140222 make InterimTearableParent docking windows not dockable

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jim Raykowski 2022-03-07 02:20:00 UTC
I noticed that ctrl double-click also caused the drop down window to become docked. The patch also fixes this to not happen.
Comment 6 Commit Notification 2022-03-14 05:12:01 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/5247e5e254632e111bbdb798ee1c714c0c9ebde8

tdf#140222 make InterimTearableParent docking windows not dockable

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.